libebook::TDParser Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::TDParser Class Reference

`#include <TDParser.h>`

Inheritance diagram for libebook::TDParser:

## Public Member Functions
| TDParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document=0)
virtual | ~TDParser ()
Public Member Functions inherited from libebook::PDXParser
virtual | ~PDXParser ()=0
bool | parse ()
| Parse input and produce output to document. More...

## Static Public Member Functions
static bool | checkType (unsigned type, unsigned creator)

## Private Member Functions
| TDParser (const TDParser &)
TDParser & | operator= (const TDParser &)
virtual void | readAppInfoRecord (librevenge::RVNGInputStream *record)
virtual void | readSortInfoRecord (librevenge::RVNGInputStream *record)
virtual void | readIndexRecord (librevenge::RVNGInputStream *record)
virtual void | readDataRecord (librevenge::RVNGInputStream *record, bool last)
void | createConverter (const std::vector< char > &text)
void | openDocument ()
void | closeDocument ()

## Private Attributes
bool | m_compressed
unsigned | m_textLength
unsigned | m_recordCount
unsigned | m_recordSize
unsigned | m_read
bool | m_openedDocument
EBOOKCharsetConverter * | m_converter
TDTextParser * | m_textParser

## Additional Inherited Members
Protected Member Functions inherited from libebook::PDXParser
| PDXParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document, unsigned type, unsigned creator)
| Instantiate a parser for a document in Palm Database Format. More...
librevenge::RVNGTextInterface * | getDocument () const
| Get the document generator used for this parsing run. More...
const char * | getName () const
librevenge::RVNGInputStream * | getAppInfoRecord () const
| Return a stream for the format's appInfo record, if it is present. More...
librevenge::RVNGInputStream * | getIndexRecord () const
| Return a stream for the format's index record. More...
unsigned | getDataRecordCount () const
| Return the number of data records in the document. More...
librevenge::RVNGInputStream * | getDataRecord (unsigned n) const
| Return a stream for the n-th data record. More...
librevenge::RVNGInputStream * | getDataRecords () const
| Return a stream for all data records. More...
librevenge::RVNGInputStream * | getDataRecords (unsigned first, unsigned last) const
| Return a stream for data records in a given range. More...

## Constructor & Destructor Documentation

libebook::TDParser::TDParser | ( | const TDParser & |  | ) |
| private

libebook::TDParser::TDParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document = `0`
| ) |  |
| explicit

libebook::TDParser::~TDParser | ( |  | ) |
| virtual

## Member Function Documentation

bool libebook::TDParser::checkType | ( | unsigned | type,
|  | unsigned | creator
| ) |  |
| static

void libebook::TDParser::closeDocument | ( |  | ) |
| private

Referenced by readDataRecord().

void libebook::TDParser::createConverter | ( | const std::vector< char > & | text | ) |
| private

Referenced by readDataRecord().

void libebook::TDParser::openDocument | ( |  | ) |
| private

Referenced by readDataRecord().

TDParser& libebook::TDParser::operator= | ( | const TDParser & |  | ) |
| private

void libebook::TDParser::readAppInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| privatevirtual

Implements libebook::PDXParser.

void libebook::TDParser::readDataRecord | ( | librevenge::RVNGInputStream * | record,
|  | bool | last
| ) |  |
| privatevirtual

Implements libebook::PDXParser.

void libebook::TDParser::readIndexRecord | ( | librevenge::RVNGInputStream * | record | ) |
| privatevirtual

Implements libebook::PDXParser.

void libebook::TDParser::readSortInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| privatevirtual

Implements libebook::PDXParser.

## Member Data Documentation

bool libebook::TDParser::m_compressed
| private

Referenced by readDataRecord(), and readIndexRecord().

EBOOKCharsetConverter* libebook::TDParser::m_converter
| private

Referenced by createConverter(), openDocument(), and ~TDParser().

bool libebook::TDParser::m_openedDocument
| private

Referenced by closeDocument(), openDocument(), and readDataRecord().

unsigned libebook::TDParser::m_read
| private

Referenced by readDataRecord().

unsigned libebook::TDParser::m_recordCount
| private

Referenced by readIndexRecord().

unsigned libebook::TDParser::m_recordSize
| private

Referenced by readDataRecord(), and readIndexRecord().

unsigned libebook::TDParser::m_textLength
| private

Referenced by readDataRecord(), and readIndexRecord().

TDTextParser* libebook::TDParser::m_textParser
| private

Referenced by readDataRecord(), and ~TDParser().

The documentation for this class was generated from the following files:

- TDParser.h
- TDParser.cpp